<?php
	/**
	 *  PHP class SEOstats
	 *
	 *  @class      SEOstats_Majesticseo
	 *  @package	class.seostats
	 *  @updated	2011/04/29
	 *  @author		Stephan Schmitz <eyecatchup@gmail.com>
	 *  @copyright	2010-present, Stephan Schmitz
	 *  @license	GNU General Public License (GPL)
	 */

class SEOstats_Majesticseo extends SEOstats {

	/**
	 * Helper. Gets the Majesticseo's free report webpage.
	 *
	 * @access		private
	 * @return 		string 					String, containing the curl result of the the Majesticseo webpage.
	 */
	public static function report($uri, $i)
	{
		$tmp = SEOstats::cURL( 'http://www.majesticseo.com/reports/site-explorer/summary/'.
			str_replace('http://', '', $uri) );
			
		preg_match_all('#<b>(.*?)</b>#',$tmp,$matches);
		return  $matches[1][$i];
	}
}
?>
