<h1>Campaign Stats</h1>

<?php
#Pagination start
//This checks to see if there is a page number. If not, it will set it to page 1
$pagenum = $_GET['pagenum'];

if (!(isset($pagenum)))
{
$pagenum = 1;
}

//This is the number of results displayed per page
$page_rows = 25;

//This sets the range to display in our query
$max = 'limit ' .($pagenum - 1) * $page_rows .',' .$page_rows;

global $wpdb;

$query1 = "SELECT * FROM " . PINGAUTO_STATS_TBL . " WHERE id = '$_GET[id]' ORDER BY time DESC $max";
$result1 = $wpdb->get_results($query1, ARRAY_A);
$rows = $wpdb->num_rows;

$query2 = "SELECT * FROM " . PINGAUTO_STATS_TBL . " WHERE id = '$_GET[id]' ORDER BY time DESC";
$result2 = $wpdb->get_results($query2, ARRAY_A);
$rows2 = $wpdb->num_rows;

//This tells us the page number of our last page
$last = ceil($rows2/$page_rows);

//this makes sure the page number isn't below one, or more than our maximum pages
if ($pagenum < 1)
{
$pagenum = 1;
}
elseif ($pagenum > $last)
{
$pagenum = $last;
}

if ($rows == 0)
{
echo ("<div id ='error'>
<h2>No Stats found</h2>
<p>No ping stats found for this Campaign (If this is a new Campaign try again after some time).</p>
</div>
");
}
else
{
echo ("<p class=\"center\"><strong>Showing Page # $pagenum of $last (Total No. of Records: $rows2)</strong>
</p>");

// First we check if we are on page one. If we are then we don't need a link to the previous page or the first page so we do nothing. If we aren't then we generate links to the first page, and to the previous page.
if ($pagenum == 1)
{
echo ("<p class=\"center\">");
}
else
{
echo "<p class=\"center\"><a href='{$_SERVER['PHP_SELF']}?page=pingautomatic-manage-campaigns&action=stats&pagenum=1&id=$_GET[id]' class='paginate_links'> << First</a> ";
echo " ";
$previous = $pagenum-1;
echo " <a href='{$_SERVER['PHP_SELF']}?page=pingautomatic-manage-campaigns&pagenum=$previous&action=stats&id=$_GET[id]' class='paginate_links'> < Previous</a> ";
}

if ($pagenum > 1 && $pagenum != $last)
{
//just a spacer
echo " ---- ";
}

//This does the same as above, only checking if we are on the last page, and then generating the Next and Last links
if ($pagenum == $last)
{
echo ("</p>");
}
else {
$next = $pagenum+1;
echo " <a href='{$_SERVER['PHP_SELF']}?page=pingautomatic-manage-campaigns&pagenum=$next&action=stats&id=$_GET[id]' class='paginate_links'>Next ></a> ";
echo " ";
echo " <a href='{$_SERVER['PHP_SELF']}?page=pingautomatic-manage-campaigns&pagenum=$last&action=stats&id=$_GET[id]' class='paginate_links'>Last >></a></p> ";
}

echo ("
<div id=\"admin_table\">
<table align='center' border='1'>
<tr>
<th>First Ping Title</th><th>First Ping URL</th><th>First Ping RSS URL</th><th>Second Ping Title</th><th>Second Ping URL</th><th>Second Ping RSS URL</th><th>Referring URL</th><th>IP Address</th><th>Ping Time</th>
</tr>
");
foreach ($result1 as $row)
{
$title1 = stripslashes($row['title1']);
$url1 = $row['url1'];
$rss1 = $row['rss1'];
$title2 = stripslashes($row['title2']);
$url2 = $row['url2'];
$rss2 = $row['rss2'];
$ref_url = $row['ref'];
$ip_addr = $row['ip_addr'];
$time = $row['time'];
$time_display = date("r", $time);
 

if (empty($rss1))
{
$rss1 = "<span class=\"center\">--</span>";
}

if (empty($title2))
{
$title2 = "<span class=\"center\">--</span>";
}

if (empty($url2))
{
$url2 = "<span class=\"center\">--</span>";
}

if (empty($rss2))
{
$rss2 = "<span class=\"center\">--</span>";
}

if (empty($ref_url))
{
$ref_url = "<span class=\"center\">--</span>";
}

if (empty($ip_addr))
{
$ip_addr = "<span class=\"center\">--</span>";
}
echo ("
<tr>
<td>$title1</td><td>$url1</td><td>$rss1</td><td>$title2</td><td>$url2</td><td>$rss2</td><td>$ref_url</td><td>$ip_addr</td><td>$time_display</td>
</tr>
");
}

echo ("</table></div>");
}



?>