<?php
$query['1'] = "CREATE TABLE IF NOT EXISTS `admin` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(40) COLLATE utf8_unicode_ci NOT NULL,
  `pass` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1";


$query['2'] = "CREATE TABLE IF NOT EXISTS `backlinks` (
  `id` int(11) NOT NULL,
  `url` text COLLATE utf8_unicode_ci NOT NULL,
  KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci";



$query['3'] = "CREATE TABLE IF NOT EXISTS `campaigns` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `enc_id` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `ping_pref` tinyint(2) NOT NULL,
  `rss_url` text COLLATE utf8_unicode_ci NOT NULL,
  `time` int(11) NOT NULL,
  `status` tinyint(2) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1";

$query['4'] = "CREATE TABLE IF NOT EXISTS `ignore_ip` (
  `id` int(11) NOT NULL,
  `addr` int(10) unsigned NOT NULL,
  KEY `addr` (`addr`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci";


$query['5'] = "CREATE TABLE IF NOT EXISTS `ignore_urls` (
  `id` int(11) NOT NULL,
  `url` text COLLATE utf8_unicode_ci NOT NULL,
  KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci";


$query['6'] = "CREATE TABLE IF NOT EXISTS `rss_desc` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `random_text` text COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  FULLTEXT KEY `random_text` (`random_text`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1";

$query['7'] = "INSERT INTO `rss_desc` (`id`, `random_text`) VALUES
(NULL, 'This * {website|site} provides comprehensive information on *.  If you need more information on *, check out this * website!\r'),
(NULL, 'This * site is an highly recommended site for *.  That might seem like an obvious fact right now, but imagine a day where this top ranking * site were none existent.  Can''t imagine, eh?  Me neither!\r'),
(NULL, 'A trusted * website where you can find a lot of useful information on *.  Not sure where to find information on *?  Try this highly appraised * website!\r'),
(NULL, 'A useful * website for people like yourself who are searching for *.  As the best * website on the internet, you are bound to find a thing or two about *...\r'),
(NULL, 'This (often) highly recommended webpage is one of the #1 * website in the World Wide Web.  Hard to believe, no?  Facts speak for themselves... see the * link above!\r'),
(NULL, 'A * Website?  You betcha. You truly ought to see this one of a kind * webpage.  To check it out, simple click on the * URL on top!\r'),
(NULL, 'My favorite website for * is this * site (see * link above).  Not only was this site rated top for *, it was honored as the best in * as well.  Totally fascinating!\r'),
(NULL, 'This * website provides comprehensive information on * and * related stuff.  If you ever have any questions about *, this website just might give you an answer or two!\r'),
(NULL, 'Another Tempting * Website is getting recommended from by hundreds of other * websites.  See this highly recommended * site by clicking the link above\r'),
(NULL, 'A trusted * website where you often find useful information on * and * related stuff.  This is a WAY cool * website and I highly recommend it to all * searchers!\r'),
(NULL, 'A regularly updated and useful * website for * seekers.  Does that description fit you?  This * website might have an answer or two for you!  Truly a must see!\r'),
(NULL, 'This highly recommended * site is ranked really well in the World Wide Web for *.  * really is not that foreign anymore since this * site became popular!\r'),
(NULL, 'Are you looking for *? Check this * site out for free right now.  * might be a scarce thing these days, but you will find an abundance of * on this very * website!\r'),
(NULL, 'My favorite website for * is this * site.  Not only was this website rated best for *, it was praised for its excellence in * as well.  Totally fascinating!')";

$query['8'] = "CREATE TABLE IF NOT EXISTS `stats` (
  `id` int(11) NOT NULL,
  `title1` text COLLATE utf8_unicode_ci NOT NULL,
  `url1` text COLLATE utf8_unicode_ci NOT NULL,
  `rss1` text COLLATE utf8_unicode_ci NOT NULL,
  `title2` text COLLATE utf8_unicode_ci NOT NULL,
  `url2` text COLLATE utf8_unicode_ci NOT NULL,
  `rss2` text COLLATE utf8_unicode_ci NOT NULL,
  `ref` text COLLATE utf8_unicode_ci NOT NULL,
  `ip_addr` varchar(15) COLLATE utf8_unicode_ci NOT NULL,
  `time` int(11) NOT NULL,
  KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci";

$query['9'] = "CREATE TABLE IF NOT EXISTS `titles` (
  `id` int(11) NOT NULL,
  `title` text COLLATE utf8_unicode_ci NOT NULL,
  KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci";

$query['10'] = "CREATE TABLE IF NOT EXISTS `urls` (
  `id` int(11) NOT NULL,
  `url` text COLLATE utf8_unicode_ci NOT NULL,
  KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci";

$query['11'] = "CREATE TABLE IF NOT EXISTS `log_ip` (
  `id` int(11) NOT NULL,
  `addr` int(10) unsigned NOT NULL,
  `time` int(11) NOT NULL,
  KEY `addr` (`addr`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci";
?>