<?php
#Grab Get variables 
$enc_id = $_GET['id'];

require(PINGAUTO_DIR . "functions/spinner.php");
global $wpdb;

$query = "SELECT id, name, ping_pref FROM " . PINGAUTO_CAMPAIGNS_TBL . " WHERE enc_id = '$enc_id'";
$result = $wpdb->get_results($query, ARRAY_A);
if ($wpdb->num_rows == 0)
{
echo ("Invalid RSS ID");
}

else
{
foreach ($result as $row)
{
$campaign_id = $row['id'];
$campaign_name = htmlspecialchars(stripslashes_deep($row['name']));
$ping_pref = $row['ping_pref'];
}

if ($ping_pref == 0)
{
# This is self pinging so no custom urls would be present
# Set Backlinks limit to 20
$bk_limit = 20;
}
else
{
# We will fetch 10 Custom URLs and another 10 from Backlinks URL table
$bk_limit = 10;
}

# Find HTTP or HTTPs
if ($_SERVER['HTTPS'] == on)
{
$protocol = "https://";
}
else
{
$protocol = "http://";
}

$current_url = htmlspecialchars($protocol . $_SERVER['SERVER_NAME'] . $_SERVER['REQUEST_URI']);

header ("Content-Type: application/xml; charset=utf-8");
echo ("<?xml version=\"1.0\" encoding=\"utf-8\" ?>
<rss version=\"2.0\" xmlns:atom=\"http://www.w3.org/2005/Atom\">
<channel>
  <atom:link href=\"$current_url\" rel=\"self\" type=\"application/rss+xml\" />
  <title>$campaign_name</title>
  <link>$current_url</link>
  <description>This RSS Feed contains a regularly updated list of links that are related to $campaign_name</description>
");


if ($ping_pref == 1)
{
$custom_urls_query = "SELECT url FROM " . PINGAUTO_URLS_TBL . " WHERE id = '$campaign_id' ORDER BY RAND() LIMIT 10";
$custom_urls_result = $wpdb->get_results($custom_urls_query, ARRAY_N);

foreach ($custom_urls_result as $row2)
{
$target_url = $row2['0'];
$target_url = str_replace("&", "&amp;", $target_url);

# Randomly select a Title

$title_query = "SELECT title FROM " . PINGAUTO_TITLES_TBL . " WHERE id = '$campaign_id' ORDER BY RAND() LIMIT 1";
$title_res = $wpdb->get_results($title_query, ARRAY_N);
foreach ($title_res as $row)
{
$title = stripslashes($row['0']);
}

# Spin the title for first ping
$title = SpinMyText($title);
$title = stripslashes(trim($title));

# Randomly select a Description
$rss_desc_query = "SELECT random_text FROM " . PINGAUTO_RSS_DESC_TBL . " ORDER BY RAND() LIMIT 1";
$rss_desc_result = $wpdb->get_row($rss_desc_query, ARRAY_N);
$random_desc = $rss_desc_result[0];

$random_desc = SpinMyText($random_desc);
$random_desc = str_replace("*", "$title", $random_desc);

$title = str_replace("&", "&amp;", $title);
$random_desc = str_replace("&", "&amp;", $random_desc);



$date = date ("r");
echo ("<item>
    <title>$title</title>
    <link>$target_url</link>
    <description>$random_desc</description>
    <category>$campaign_name</category>
    <pubDate>$date</pubDate>
    <guid isPermaLink=\"true\">$target_url</guid>
  </item>\r\n");
unset($title, $random_desc);
}
}

# Now proceed with Backlinks URLS
$bk_urls_query = "SELECT url FROM " . PINGAUTO_BACKLINKS_TBL . " WHERE id = '$campaign_id' ORDER BY RAND() LIMIT $bk_limit";
$bk_urls_result = $wpdb->get_results($bk_urls_query, ARRAY_N);

foreach($bk_urls_result as $row3)
{
$target_url = $row3['0'];
$target_url = str_replace("&", "&amp;", $target_url);

# Randomly select a Title

$title_query = "SELECT title FROM " . PINGAUTO_TITLES_TBL . " WHERE id = '$campaign_id' ORDER BY RAND() LIMIT 1";
$title_res = $wpdb->get_results($title_query, ARRAY_N);
foreach ($title_res as $row)
{
$title = stripslashes($row['0']);
}

# Spin the title for first ping
$title = SpinMyText($title);
$title = stripslashes(trim($title));

# Randomly select a Description
$rss_desc_query = "SELECT random_text FROM " . PINGAUTO_RSS_DESC_TBL . " ORDER BY RAND() LIMIT 1";
$rss_desc_result = $wpdb->get_row($rss_desc_query, ARRAY_N);
$random_desc = $rss_desc_result[0];

$random_desc = SpinMyText($random_desc);
$random_desc = str_replace("*", "$title", $random_desc);

$title = str_replace("&", "&amp;", $title);
$random_desc = str_replace("&", "&amp;", $random_desc);

$date = date ("r");
echo ("<item>
    <title>$title</title>
    <link>$target_url</link>
    <description>$random_desc</description>
    <category>$campaign_name</category>
    <pubDate>$date</pubDate>
    <guid isPermaLink=\"true\">$target_url</guid>
  </item>\r\n");
unset($title, $random_desc);
}

echo ("
</channel>
</rss>");
}
?>